Subject: Re: bug#78474: 31.0.50; Wrong char insertion in rxvt

From: Manuel Giraud <[email-masked]>
Date: Sun, 03 Aug 2025 11:17:18 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Manuel Giraud <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked],
>>   [email-masked],  [email-masked]
>> Date: Sat, 02 Aug 2025 19:37:42 +0200
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > I also think lisp/term/rxvt.el should force this variable to avoid
>> > TAB+BS, since rxvt is known to produce buggy behavior with that
>> > combination.
>> 
>> If tty-cursor-movement-use-TAB-BS is nil by default I think we're good,
>> no?
>
> My point is that IMO rxvt should force it to nil even if the user
> customized the value to non-nil (e.g., in their init file).

Ok.  Now I see that I also did not understand this part of your previous
reply:

> I see no reason to make this a user option.  It should be a simple
> variable.

I have used the DEFVAR_BOOL macro but no defcustom: does that make it a
"simple variable"?  Sorry for my lack of understanding of Emacs
internals here.
-- 
Manuel Giraud